@echo OFF
     set JobName=CBLCBLE1
rem  * *******************************************************************
rem  *                Job Script - a Windows Command File                *
rem  *                 Provided by SimoTime Technologies                 *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - COBOL calls COBOL for VSAM I/O
rem  * Author - SimoTime Technologies
rem  * Date   - January 01, 1997
rem  *
rem  * This set of programs illustrates the use of COBOL calling a COBOL
rem  * program to do KSDS, VSAM sequential I/O. The purpose is to show
rem  * sequential processing of a KSDS, VSAM Data Set.
rem  *
rem  * This set of programs will run on a mainframe under MVS or on a
rem  * Personal Computer with Windows and Micro Focus Mainframe Express.
rem  *
rem  *   ************                   ************
rem  *   * CBLCBLJ1 *                   * CBLCBLE1 *
rem  *   ********jcl*                   ********cmd*
rem  *        *                              *
rem  *        *------------------------------*
rem  *        *
rem  *   ************                   ************
rem  *   * CBLCBLC1 *-------------------* Display  *
rem  *   ********cbl*                   ************
rem  *        *
rem  *        *-------call-------------------*
rem  *        *                              *
rem  *        *                              *
rem  *        *        ************     ************
rem  *        *        * VKSD0080 *-----* CBLCBLC2 *
rem  *        *        ********get*     ********cbl*
rem  *        *
rem  *   ************
rem  *   *   EOJ    *
rem  *   ************
rem  *
rem  * *******************************************************************
rem  * Step 1 of 2, Set the environment.
rem  *
     call ..\Env1BASE
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%JobName%"
     call SimoNOTE "Starting JobName %JobName%, User is %USERNAME%"
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set SYSOUT=%BaseLib1%\LOGS\SYSOUT_%JobName%.TXT
     set VKSD0080=%BaseLib1%\DATA\Asc1\SIMOTIME.DATA.CUST0080.DAT
     echo %VKSD0080%
     echo %SYSOUT%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, COBOL calls COBOL I/O Module to read a file...
rem  *
:StepCblCblC1
     call SimoNOTE "Identify JobStep StepCblCblC1"
     run CBLCBLC1
     if ERRORLEVEL 1 echo Error level is equal-to or Greater-then 1 . . .
     if ERRORLEVEL 1 set JobStatus=0001
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
:EojAok
     call SimoNOTE "Finished JobName %JobName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     type %SYSOUT%
     call SimoNOTE "ABENDING JobName %JobName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
